class Strongspace.Views.Row extends Backbone.View
	
	initialize: ->
		@model.on("change:name", @render, this)
		@model.on("change:info", @update_info, this)
		@render()

	tagName: "li"


	events:
		"click li.resource" : "highlight"
		"click li.resource div.edit" : "editSession"
		
	editSession: (e) ->
		e.preventDefault()
		pos = $(e.target).offset()
		sessionContextMenu.show(@model.id, pos.left, event.y)
		return false


	highlight: (e) ->
		$(".resource.selected").removeClass("selected")
		$(e.target).parents(".resource").addClass("selected")
		
		v = new Strongspace.Views.Row({model: session})


	revealSession: ->
		file.revealPath("/Users/jmancuso/strongspace/#{@model.get('name')}")


	update_info: ->
		@$(".resource_info").html(@model.info())

	render: ->
		template_html = new window.EJS {url: 'javascripts/templates/row.ejs'}
	
		this.$el.empty()
		this.$el.append(template_html.render(session: @model))
	
